const userAgents = [
  'Mozilla/5.0 (Windows NT 10.0; Win64; x64) AppleWebKit/537.36',
  'Mozilla/5.0 (Macintosh; Intel Mac OS X 10_15_7) AppleWebKit/605.1.15',
  'Mozilla/5.0 (Linux; Android 10) AppleWebKit/537.36',
  'Mozilla/5.0 (Windows NT 10.0; Win64; x64) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/120.0.0.0 Safari/537.36',
  'Mozilla/5.0 (Windows NT 11.0; Win64; x64) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/121.0.0.0 Safari/537.36',
  'Mozilla/5.0 (Windows NT 10.0; Win64; x64; rv:120.0) Gecko/20100101 Firefox/120.0',
  'Mozilla/5.0 (Windows NT 10.0; Win64; x64) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/120.0.0.0 Safari/537.36 Edg/120.0.0.0',
];

function getRandomUserAgent() {
  return userAgents[Math.floor(Math.random() * userAgents.length)];
}

module.exports = {
  name: '资讯-中国经济循环协会',
  baseUrl: 'https://www.chinacace.org',
  encoding: 'utf-8', // 网页编码
  
  // 分类列表配置
  categories: {
    firstUrl: '/news/fields?fid=1&page=1',
    aUrl: '/news/fields?fid',
    selector: 'li a', // 分类选择器
    maxPages: 50, // 每个分类最大爬取页数
    extract: {
      name: 'text',       // 分类名称提取方式
      url: 'href'         // 分类URL提取方式
    }
  },
  
  // 新闻列表配置
  newsList: {
    selector: '.news1',
    extract: {
      content: '.txtedit'
    }
  },
  
  // 请求头
  headers: {
    'User-Agent': getRandomUserAgent()
  }
};